package io.renren.modules.app.service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.service.IService;
import com.github.pagehelper.PageInfo;

import io.renren.modules.app.entity.FwxxEntity;
import io.renren.modules.app.entity.HGryjxEntity;
import io.renren.modules.app.entity.HKmyeEntity;
import io.renren.modules.app.entity.HPzEntity;
import io.renren.modules.app.entity.JieXiEntity;
import io.renren.modules.app.entity.LlbEntity;
import io.renren.modules.app.entity.XlkEntity;
import io.renren.modules.app.entity.XtcsEntity;
import io.renren.modules.app.entity.YwpzEntity;
import io.renren.modules.app.entity.YwpzmxEntity;
import io.renren.modules.app.entity.ZhxxEntity;

/**
 * 维修资金预交导入
 *
 * @author ly
 * @email 1271428398@qq.com
 * @date 2019-03-22 09:53:01
 */
public interface WxzjyjdrService extends IService<YwpzEntity> {

	// 下拉框查询
	List<XlkEntity> selectxlk(String id);

	// 保存按钮
	void insertBc(YwpzEntity ywpzEntity);

	int selectgzd(String id);

	int selectxtcs(String id);

	int selectkjqj(String id);

	int selecthsqj(YwpzEntity ywpzEntity);

	String selectsfyj(YwpzEntity ywpzEntity);
	
	String selectsysfyj(YwpzEntity ywpzEntity);

	String selectcwsfyj(YwpzEntity ywpzEntity);

	String selectscwsfyj(YwpzEntity ywpzEntity);

	int selectdwjk(YwpzEntity ywpzEntity);

	int selectgrjk(YwpzEntity ywpzEntity);

	List<YwpzEntity> selectwftphjc(YwpzEntity ywpzEntity);

	List<YwpzEntity> selectyftphjc(YwpzEntity ywpzEntity);

	List<YwpzEntity> selectgrwxzjphjc(YwpzEntity ywpzEntity);

	void h_kmye(YwpzEntity ywpzEntity);

	void h_kmye2(YwpzEntity ywpzEntity);
	
	void h_kmye3(YwpzEntity ywpzEntity);

	void updatextcs(YwpzEntity ywpzEntity);
	
	void inserthhsqj(String id);
	
	void insertcwhsqj(String id);
	
	void updatehzt(YwpzEntity ywpzEntity);

	void updatehsqj(YwpzEntity ywpzEntity);
	
	void updatefyjhsqj(YwpzEntity ywpzEntity);
	
	void deletehsqj(String id);
	
	void updatecwhsqj(YwpzEntity ywpzEntity);
	
	void updatecwfhsqj(YwpzEntity ywpzEntity);

	List<HPzEntity> selectpzjz(YwpzEntity ywpzEntity);
	
	int selectcwkjqj(String id);
	
	List<String> findDates(java.util.Date dBegin, java.util.Date dEnd);
	
	void deleteqcye(YwpzEntity ywpzEntity);
	
	void updatefse(YwpzEntity ywpzEntity);
	
	void kmqiquan();
	
	int selectywlcmzw(YwpzEntity ywpzEntity);
	
	int selectzqmzw(YwpzEntity ywpzEntity);
	
	void deletecwhsqj(String id);
	
	List<HPzEntity> selectCWSSPH(HPzEntity hPzEntity);
	
	List<ZhxxEntity> selectzhxx();
	
	XtcsEntity selectxtcs();
	
	int selectndsj();
	
	YwpzEntity selectkjnd();
	
	List<FwxxEntity> selectfwxxbydh(String id);
	
	HPzEntity selectgjlastday(String id);
	
	String selectjxmaxbh(String id);
	
	List<LlbEntity> selectllxx(HashMap<String, String> map);
	
	HashMap<String, String> selectndrq(String vrq);
	
	List<JieXiEntity> slelectllxx(HashMap<String, String> map,List<LlbEntity> lllist);
	
	void insertywpzjx(YwpzEntity ywpzEntity);
	
	ZhxxEntity selectdwbydh(String id);
	
	void caljdf(String id);
	
	HashMap<String, Double> calcuratioyearfd(FwxxEntity fwxxEntity,HashMap<String, String> map,List<JieXiEntity> listjiexill);
	
	Double  CalcuRatioinfo(List<JieXiEntity> listjiexill,String id,String id2,Double rzje);
	
	void insertywpzjiexi(YwpzmxEntity ywpzmxEntity);
	
	void deleteywpzbyid(String id);
	
	void updateywpzbyid(YwpzEntity ywpzEntity);
	
	ZhxxEntity selectzhxx(String id);
	
	void updateZhxx(ZhxxEntity zhxxEntity);
	
	PageInfo<ZhxxEntity> queryByPagePLJX(Integer pageNum, Integer pageSize);
	
	PageInfo<HGryjxEntity> queryByPageYJLX(Integer pageNum, Integer pageSize,String xsfs);
	
	List<FwxxEntity> selectfwxx2();
	
	void deletegryjx();
	
	void insertgryjx(HGryjxEntity hGryjxEntity);
	
	List<YwpzEntity> selectfzhsmx(String time);
	
	List<YwpzEntity> selectfzhsmxfyj(String time);//辅助核算归集反月结
	
	List<YwpzEntity> selectfZQFT(String time);
	
	void deletefzhsmxgrdw(String id);
	
	void deletefzhsmxgrdwnext(String id);
	
	List<YwpzEntity> selectfzhsmxsss(String time);
	
}
